%define tarname	WebOb
%define name	python-webob
%define version 1.2.3
%define release %mkrel 3

Summary:	WSGI request and response object for Python
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/W/%{tarname}/%{tarname}-%{version}.tar.gz
License:	MIT
Group:		Development/Python
Url:		http://pythonpaste.org/webob/
BuildArch:	noarch
Requires:	python-pkg-resources
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
BuildRequires:	python-nose
BuildRequires:	python-dtopt
BuildRequires:	python-tempita
BuildRequires:	python-webtest
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-nose

# https://github.com/Pylons/webob/issues/75
# Fix build/test issue on python 3
Patch0:		webob-1.2.3-test-headers2-fix.patch

%description
WebOb provides wrappers around the WSGI request environment, and an
object to help create WSGI responses.

The objects map much of the specified behavior of HTTP, including
header parsing and accessors for other standard parts of the
environment.

%package -n python3-webob
Summary:	WSGI request and response object for Python 3
Group:		Development/Python

%description -n python3-webob
WebOb provides wrappers around the WSGI request environment, and an
object to help create WSGI responses.

The objects map much of the specified behavior of HTTP, including
header parsing and accessors for other standard parts of the
environment.

%prep
%setup -q -n %{tarname}-%{version}
%{__rm} -f tests/performance_test.py
%patch0 -p1 -b .test_headers2
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__mkdir} -p %{buildroot}%{python_sitelib}
%{__python} setup.py install --skip-build --root %{buildroot}

%check
%{__python} setup.py test

pushd %{py3dir}
%{__python3} setup.py test
popd

%files
%doc docs/*
%{python_sitelib}/webob/
%{python_sitelib}/*egg-info

%files -n python3-webob
%doc docs/*
%{python3_sitelib}/webob/
%{python3_sitelib}/*egg-info




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.2.3-3.mga4
+ Revision: 544448
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.3-2.mga4
+ Revision: 499715
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 1.2.3-1.mga4
+ Revision: 450261
- Update to 1.2.3 , add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 379678
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 26 2011 philippem <philippem> 1.1.1-1.mga2
+ Revision: 158272
- Latest stable upstream 1.1.1

* Tue Jun 21 2011 dmorgan <dmorgan> 1.0.6-1.mga2
+ Revision: 111594
- imported package python-webob

